io.milvus.param.collection

## Class DescribeCollectionParam.Builder

- java.lang.Object
- - io.milvus.param.collection.DescribeCollectionParam.Builder

- Enclosing class:
    DescribeCollectionParam

      public static final class DescribeCollectionParam.Builder
      extends java.lang.Object

  Builder for `DescribeCollectionParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeCollectionParam` | `build()` Verifies parameters and creates a new `DescribeCollectionParam` instance.
    `DescribeCollectionParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `DescribeCollectionParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public DescribeCollectionParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public DescribeCollectionParam.Builder withCollectionName(@NonNull
                                                                    @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### build

          public DescribeCollectionParam build()
                                        throws ParamException

      Verifies parameters and creates a new `DescribeCollectionParam` instance.
      Returns:
        `DescribeCollectionParam`
      Throws:
        `ParamException`